=== contrib/CMakeLists.txt ===

if (LIBUILD)
	add_subdirectory(libuild)
endif (LIBUILD)
add_subdirectory(buildhelper)
