=== contrib/buildhelper/CMakeLists.txt ===

install(PROGRAMS lipkbh.py DESTINATION bin RENAME lipkbh)
