## limba 0.4.2

=== debian/changelog ===
limba (0.4.2-3) unstable; urgency=medium

  * Declare additional conflicts relationships against Listaller
    - Breaks/Replaces is not enough in this case (Closes: #789664)

 -- Matthias Klumpp <mak@debian.org>  Tue, 23 Jun 2015 14:58:44 +0200

limba (0.4.2-2) unstable; urgency=medium

  * Build-depend on systemd
    - Ensures we compile with systemd support, fixes
      FTBFS on some architectures.

 -- Matthias Klumpp <mak@debian.org>  Sun, 21 Jun 2015 16:16:24 +0200

limba (0.4.2-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release: 0.4.2

 -- Matthias Klumpp <mak@debian.org>  Sun, 26 Apr 2015 14:48:20 +0200

limba (0.4.1-1) experimental; urgency=medium

  * New upstream bugfix release: 0.4.1
  * Drop patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Tue, 10 Mar 2015 22:00:42 +0100

limba (0.4.0-1) experimental; urgency=medium

  * Initial release (Closes: #779383)

 -- Matthias Klumpp <mak@debian.org>  Fri, 20 Feb 2015 20:34:38 +0100
