=== debian/control ===
Source: limba
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9.0.0),
               gtk-doc-tools,
               intltool,
               libappstream-dev (>= 0.8),
               libarchive-dev (>= 2.8),
               libcurl4-gnutls-dev | libcurl4-openssl-dev,
               libgirepository1.0-dev (>= 1.32),
               libglib2.0-dev (>= 2.40),
               libgpgme11-dev,
               libpolkit-gobject-1-dev,
               libxml2-dev (>= 2.8.0),
               systemd,
               uuid-dev,
               xmlto
Standards-Version: 3.9.6
Homepage: http://people.freedesktop.org/~mak/limba/
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/limba.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/limba.git

Package: limba
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: listaller (<< 0.5.9-4~)
Breaks: listaller (<< 0.5.9-4~)
Conflicts: listaller
Description: 3rd-party software manager
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 It uses modern Linux kernel features to isolate the software components
 from the main system.

Package: liblimba0
Architecture: linux-any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: limba (>= ${binary:Version})
Description: Library for the Limba 3rd-party software manager
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 This package contains a GObject-based library to access Limba.

Package: liblimba-dev
Architecture: linux-any
Section: libdevel
Depends: libglib2.0-dev (>= 2.40),
         liblimba0 (= ${binary:Version}),
         ${misc:Depends}
Description: Library for the Limba 3rd-party software manager (development files)
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 This package contains development files necessary to develop
 applications which use the Limba library.

Package: gir1.2-limba-1.0
Architecture: linux-any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Limba library
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 This package contains introspection data for the Limba library.
 It can be used by software using the GIRepository format to generate
 dynamic bindings.

Package: limba-devtools
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: listaller-devtools (<< 0.5.9-4~)
Breaks: listaller-devtools (<< 0.5.9-4~)
Conflicts: listaller-devtools
Suggests: limba-libuild
Description: 3rd-party software manager packaging tools
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 This package contains tools which are required to build and maintain own
 IPK packages and software repositories.

Package: limba-libuild
Architecture: linux-any
Depends: gcc,
         make,
         perl (>= 5.14),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Replaces: listaller-libuild (<< 0.5.9-4~)
Breaks: listaller-libuild (<< 0.5.9-4~)
Conflicts: listaller-libuild
Suggests: build-essential
Description: Limba libuild facilities
 Limba allows 3rd-party developers to easily distribute their software on
 multiple Linux distributions.
 It provides atomic upgrades of software, simultaneous installation of multiple
 software versions and a simple way to obtain and upgrade software.
 .
 This package contains the libuild facilities, which help building
 more portable applications by linking against older library versions.
