## limba 0.5.0

=== debian/changelog ===
limba (0.5.0-1) unstable; urgency=medium

  * New upstream release: 0.5.0

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Jun 2015 18:54:14 +0200
