=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                debhelper (>= 9.0.0),
                gtk-doc-tools,
                intltool,
-               libappstream-dev (>= 0.8),
+               libappstream-dev (>= 0.8.2),
                libarchive-dev (>= 2.8),
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libgirepository1.0-dev (>= 1.32),
@@ -26,9 +26,8 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: listaller (<< 0.5.9-4~)
-Breaks: listaller (<< 0.5.9-4~)
-Conflicts: listaller
+Replaces: listaller (<< 0.5.9-5~)
+Breaks: listaller (<< 0.5.9-5~)
 Description: 3rd-party software manager
  Limba allows 3rd-party developers to easily distribute their software on
  multiple Linux distributions.
@@ -88,9 +87,8 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: listaller-devtools (<< 0.5.9-4~)
-Breaks: listaller-devtools (<< 0.5.9-4~)
-Conflicts: listaller-devtools
+Replaces: listaller-devtools (<< 0.5.9-5~)
+Breaks: listaller-devtools (<< 0.5.9-5~)
 Suggests: limba-libuild
 Description: 3rd-party software manager packaging tools
  Limba allows 3rd-party developers to easily distribute their software on
@@ -109,9 +107,8 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Replaces: listaller-libuild (<< 0.5.9-4~)
-Breaks: listaller-libuild (<< 0.5.9-4~)
-Conflicts: listaller-libuild
+Replaces: listaller-libuild (<< 0.5.9-5~)
+Breaks: listaller-libuild (<< 0.5.9-5~)
 Suggests: build-essential
 Description: Limba libuild facilities
  Limba allows 3rd-party developers to easily distribute their software on
