=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

LI_CONFIGURE_ARGS = -DLIBUILD=ON

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(LI_CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

override_dh_fixperms:
	# runapp needs CAP_SYS_ADMIN
	dh_fixperms -a -Xusr/bin/runapp

override_dh_install:
	dh_install --list-missing

override_dh_auto_test:
	# the tests require real CAP_SYS_ADMIN, so we can't run
	# them at build-time.
