## limba 0.5.2

=== debian/changelog ===
limba (0.5.2-1) unstable; urgency=medium

  * New upstream bugfix release: 0.5.2

 -- Matthias Klumpp <mak@debian.org>  Wed, 14 Oct 2015 21:40:38 +0200

limba (0.5.1-1) unstable; urgency=medium

  * New upstream release: 0.5.1
  * Make GIR depend on liblimba0 (Closes: #790566)
  * Create limba-licompile package for the compile helpers
  * Build-depend on libyaml-dev
  * Fix debian/copyright

 -- Matthias Klumpp <mak@debian.org>  Wed, 02 Sep 2015 22:52:48 +0200
