=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libgpgme11-dev,
                libpolkit-gobject-1-dev,
                libxml2-dev (>= 2.8.0),
+               libyaml-dev,
                systemd,
                uuid-dev,
                xmlto
@@ -26,6 +27,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: systemd
 Replaces: listaller (<< 0.5.9-5~)
 Breaks: listaller (<< 0.5.9-5~)
 Description: 3rd-party software manager
@@ -71,7 +73,8 @@
 Package: gir1.2-limba-1.0
 Architecture: linux-any
 Section: introspection
-Depends: ${gir:Depends},
+Depends: liblimba0 (>= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
 Description: GObject introspection data for the Limba library
  Limba allows 3rd-party developers to easily distribute their software on
@@ -85,11 +88,13 @@
 
 Package: limba-devtools
 Architecture: linux-any
+Section: devel
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Replaces: listaller-devtools (<< 0.5.9-5~)
 Breaks: listaller-devtools (<< 0.5.9-5~)
-Suggests: limba-libuild
+Suggests: debootstrap,
+          limba-licompile
 Description: 3rd-party software manager packaging tools
  Limba allows 3rd-party developers to easily distribute their software on
  multiple Linux distributions.
@@ -99,22 +104,25 @@
  This package contains tools which are required to build and maintain own
  IPK packages and software repositories.
 
-Package: limba-libuild
+Package: limba-licompile
 Architecture: linux-any
+Section: devel
 Depends: gcc,
          make,
          perl (>= 5.14),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Replaces: listaller-libuild (<< 0.5.9-5~)
-Breaks: listaller-libuild (<< 0.5.9-5~)
+Replaces: limba-libuild (<< 0.5.1~),
+          listaller-libuild (<< 0.5.9-5~)
+Breaks: limba-libuild (<< 0.5.1~),
+        listaller-libuild (<< 0.5.9-5~)
 Suggests: build-essential
-Description: Limba libuild facilities
+Description: Limba LiCompile facilities
  Limba allows 3rd-party developers to easily distribute their software on
  multiple Linux distributions.
  It provides atomic upgrades of software, simultaneous installation of multiple
  software versions and a simple way to obtain and upgrade software.
  .
- This package contains the libuild facilities, which help building
+ This package contains the LiCompile facilities, which help building
  more portable applications by linking against older library versions.
