## limba 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(LIMBA_VERSION_MAJOR  "0")
 set(LIMBA_VERSION_MINOR  "5")
-set(LIMBA_VERSION_PATCH  "0")
+set(LIMBA_VERSION_PATCH  "3")
 set(LIMBA_VERSION "${LIMBA_VERSION_MAJOR}.${LIMBA_VERSION_MINOR}.${LIMBA_VERSION_PATCH}")
 
 set(LIMBA_API_LEVEL "0")
@@ -42,9 +42,10 @@
 # Options
 #
 option(MAINTAINER "Enable maintainer mode" OFF)
-option(LIBUILD "Build and install the LIBuild facilities" OFF)
+option(LICOMPILE "Build and install the LiCompile facilities" OFF)
 option(L10N "Enable localization" ON)
 option(INSTALL_SUID "Install runapp with suid bit set" ON)
+option(DOCUMENTATION "Build documentation" OFF)
 
 #
 # Default paths
@@ -76,8 +77,8 @@
 # External dependencies
 #
 find_package(Gettext REQUIRED)
-find_package(GLIB 2.40 REQUIRED COMPONENTS "gio" "gobject" "gio-unix")
-pkg_check_modules(APPSTREAM REQUIRED appstream>=0.8.2)
+find_package(GLIB 2.44 REQUIRED COMPONENTS "gio" "gobject" "gio-unix")
+pkg_check_modules(APPSTREAM REQUIRED appstream>=0.8.6)
 pkg_check_modules(UUID REQUIRED uuid>=2.0)
 pkg_check_modules (POLKIT REQUIRED polkit-gobject-1>=0.104)
 
@@ -140,6 +141,8 @@
 	endif()
 endif(MAINTAINER)
 add_definitions(${MAINTAINER_CFLAGS})
+# enable C11 (Clang wants this)
+set(CMAKE_C_STANDARD "11")
 
 # Required if GPGme was compiled with _FILE_OFFSET_BITS=64
 add_definitions("-D_FILE_OFFSET_BITS=64")
