=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	li-pkg-builder.c
 	li-keyring.c
 	li-repository.c
+	li-repo-entry.c
 	li-pkg-cache.c
 	li-update-item.c
 )
@@ -51,6 +52,7 @@
 	li-config-data.h
 	li-exporter.h
 	li-package-graph.h
+	li-repo-entry.h
 )
 
 add_definitions("-DLI_COMPILATION"
@@ -65,7 +67,12 @@
   message(FATAL_ERROR "GObject-Introspection was not found! Please install it to continue.")
 endif()
 
-add_library(limba SHARED ${LIBLIMBA_SRC} ${LIBLIMBA_PUBLIC_HEADERS} ${LIBLIMBA_PRIVATE_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c)
+add_library(limba SHARED ${LIBLIMBA_SRC}
+		${LIBLIMBA_PUBLIC_HEADERS}
+		${LIBLIMBA_PRIVATE_HEADERS}
+		${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c
+		${CMAKE_CURRENT_BINARY_DIR}/li-systemd-dbus.c
+)
 set_target_properties(limba PROPERTIES VERSION ${LILIB_VERSION} SOVERSION ${LIMBA_API_LEVEL})
 
 add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.h ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c
@@ -76,6 +83,15 @@
 )
 set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.h)
 set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/li-dbus-interface.c)
+
+add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/li-systemd-dbus.h ${CMAKE_CURRENT_BINARY_DIR}/li-systemd-dbus.c
+	MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.systemd1.xml
+	COMMAND ${GDBUS_CODEGEN} --interface-prefix org.freedesktop.systemd1 --generate-c-code li-systemd-dbus
+		--c-namespace LiSd ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.systemd1.xml
+	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
+)
+set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/li-systemd-dbus.h)
+set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/li-systemd-dbus.c)
 
 include_directories(${CMAKE_BINARY_DIR}
 			${CMAKE_CURRENT_BINARY_DIR}
