## limba 0.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(LIMBA_VERSION_MAJOR  "0")
 set(LIMBA_VERSION_MINOR  "5")
-set(LIMBA_VERSION_PATCH  "3")
+set(LIMBA_VERSION_PATCH  "4")
 set(LIMBA_VERSION "${LIMBA_VERSION_MAJOR}.${LIMBA_VERSION_MINOR}.${LIMBA_VERSION_PATCH}")
 
 set(LIMBA_API_LEVEL "0")
@@ -78,9 +78,10 @@
 #
 find_package(Gettext REQUIRED)
 find_package(GLIB 2.44 REQUIRED COMPONENTS "gio" "gobject" "gio-unix")
-pkg_check_modules(APPSTREAM REQUIRED appstream>=0.8.6)
+pkg_check_modules(APPSTREAM REQUIRED appstream>=0.9.0)
 pkg_check_modules(UUID REQUIRED uuid>=2.0)
 pkg_check_modules (POLKIT REQUIRED polkit-gobject-1>=0.104)
+pkg_check_modules(LIBCAP REQUIRED libcap>=2.24)
 
 find_package(GI REQUIRED)
 find_package(LibArchive REQUIRED)
@@ -117,7 +118,7 @@
 set (GETTEXT_PACKAGE "limba")
 set (VERSION "${LIMBA_VERSION}")
 set (BUILDDIR "${CMAKE_BINARY_DIR}")
-set (SOFTWARE_ROOT_PREFIX "/opt/bundle")
+set (SOFTWARE_ROOT_PREFIX "/app")
 set (SOFTWARE_INSTALL_ROOT "/opt/software")
 configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)
