## limba 0.5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(LIMBA_VERSION_MAJOR  "0")
 set(LIMBA_VERSION_MINOR  "5")
-set(LIMBA_VERSION_PATCH  "5")
+set(LIMBA_VERSION_PATCH  "6")
 set(LIMBA_VERSION "${LIMBA_VERSION_MAJOR}.${LIMBA_VERSION_MINOR}.${LIMBA_VERSION_PATCH}")
 
 set(LIMBA_API_LEVEL "0")
