=== contrib/CMakeLists.txt ===

if (LICOMPILE)
	add_subdirectory(licompile)
endif (LICOMPILE)
