=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	li-repo-entry.c
 	li-pkg-cache.c
 	li-update-item.c
+	li-run.c
 )
 
 set(LIBLIMBA_PUBLIC_HEADERS
@@ -48,6 +49,7 @@
 
 set(LIBLIMBA_PRIVATE_HEADERS
 	li-utils-private.h
+	li-run.h
 	li-package-private.h
 	li-config-data.h
 	li-exporter.h
@@ -147,5 +149,4 @@
 install(TARGETS limba DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(FILES ${LIBLIMBA_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/Limba)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/limba.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/)
-install(DIRECTORY DESTINATION ${SOFTWARE_ROOT_PREFIX})
 install(DIRECTORY DESTINATION ${SOFTWARE_INSTALL_ROOT})
