=== docs/man/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,12 @@
 include (${CMAKE_SOURCE_DIR}/data/cmake/documentation.cmake)
 
 set(manpages "runapp.1"
-	"lipa.1"
+	"limba.1"
 	"lipkgen.1"
+	"limba-build.1"
 )
 
-if(LIBUILD)
+if(LICOMPILE)
 	set(manpages ${manpages}
 		"ligcc.1"
 		"lig++.1"
