=== debian/changelog ===
limba (0.5.6-1) unstable; urgency=medium

  * New upstream release: 0.5.6

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Feb 2016 18:04:06 +0100

limba (0.5.5-1) unstable; urgency=medium

  * New upstream release: 0.5.5
  * Provide pkla file for PolKit << 0.112 (Closes: #808835)

 -- Matthias Klumpp <mak@debian.org>  Wed, 20 Jan 2016 19:45:02 +0100

limba (0.5.4-1) unstable; urgency=medium

  * New upstream release: 0.5.4

 -- Matthias Klumpp <mak@debian.org>  Sat, 12 Dec 2015 19:06:46 +0100

limba (0.5.3-1) unstable; urgency=medium

  * New upstream release: 0.5.3
  * Update build dependencies
  * liblimba: Don't recommend the 'limba' package

 -- Matthias Klumpp <mak@debian.org>  Tue, 10 Nov 2015 20:10:16 +0100
