=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
                debhelper (>= 9.0.0),
                gtk-doc-tools,
                intltool,
-               libappstream-dev (>= 0.8.2),
+               libappstream-dev (>= 0.9.2),
                libarchive-dev (>= 2.8),
+               libcap-dev,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libgirepository1.0-dev (>= 1.32),
-               libglib2.0-dev (>= 2.40),
+               libglib2.0-dev (>= 2.46),
                libgpgme11-dev,
                libpolkit-gobject-1-dev,
                libxml2-dev (>= 2.8.0),
@@ -30,7 +31,7 @@
 Recommends: systemd
 Replaces: listaller (<< 0.5.9-5~)
 Breaks: listaller (<< 0.5.9-5~)
-Description: 3rd-party software manager
+Description: 3rd-party software distribution solution
  Limba allows 3rd-party developers to easily distribute their software on
  multiple Linux distributions.
  It provides atomic upgrades of software, simultaneous installation of multiple
@@ -46,7 +47,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: limba (>= ${binary:Version})
 Description: Library for the Limba 3rd-party software manager
  Limba allows 3rd-party developers to easily distribute their software on
  multiple Linux distributions.
@@ -58,7 +58,7 @@
 Package: liblimba-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libglib2.0-dev (>= 2.40),
+Depends: libglib2.0-dev (>= 2.46),
          liblimba0 (= ${binary:Version}),
          ${misc:Depends}
 Description: Library for the Limba 3rd-party software manager (development files)
@@ -89,7 +89,8 @@
 Package: limba-devtools
 Architecture: linux-any
 Section: devel
-Depends: ${misc:Depends},
+Depends: limba (>= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Replaces: listaller-devtools (<< 0.5.9-5~)
 Breaks: listaller-devtools (<< 0.5.9-5~)
