=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
-LI_CONFIGURE_ARGS = -DLIBUILD=ON
+LI_CONFIGURE_ARGS = -DLICOMPILE=ON
 
 # Define install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -24,5 +24,5 @@
 	dh_install --list-missing
 
 override_dh_auto_test:
-	# the tests require real CAP_SYS_ADMIN, so we can't run
-	# them at build-time.
+	# the tests require real CAP_SYS_ADMIN and at least Linux 4.0,
+	# so we can't run them at build-time.
