=== debian/watch ===
version=3
http://people.freedesktop.org/~mak/limba/releases/Limba-([\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
